Subject: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Aaron Jensen <[email-masked]>
Date: Mon, 5 Mar 2018 08:21:45 -0800

On Mon, Mar 5, 2018 at 8:01 AM, Eli Zaretskii <[email-masked]> wrote:
> Not really.  Setting the frame's garbaged flag causes a thorough
> redisplay on the next opportunity, so removing that could prevent
> redisplay in a variety of situations.

Ok, and because this removes the setting of the frame's garbage flag
from the `updateFrameSize` function and moves it to when it receives
the `windowWillResize` event,  I should only expect to see painting
issues after a frame's size is changed I would imagine.

Does anyone know if there are more ways to change a frame's size than
`set-frame-parameter`, a mouse drag or AppleScript?

> AFAIK, no.  Redrawing a garbaged frame involves clearing it and
> completely redrawing all of its windows, and that is what you perceive
> as flicker.

Thanks, I was thinking about double buffering--painting both the clear
and the next paint on the same buffer before swapping it in, but I'm
sure that's much more simplistic than what is actually happening.